export function formatDate(date: Date): string {
    return date.toLocaleDateString(undefined, {
        // you can use undefined as first argument
        year: "numeric",
        month: "2-digit",
        day: "2-digit",
    });
}

export function groupBy<T, K extends keyof any>(list: T[], getKey: (item: T) => K) {
  return list.reduce((previous, currentItem) => {
    const group = getKey(currentItem);
    if (!previous[group]) previous[group] = [];
    previous[group].push(currentItem);
    return previous;
  }, {} as Record<K, T[]>);
}